#ifndef __SVCLICK_H
#define __SVCLICK_H
/***************************************************************************
                          svclick.h  -  description
                             -------------------
    begin                : Mon Apr 12 2004
    copyright            : (C) 2004 by Marco Savegnago IW3FQG
    email                : msave@tin.it

  SVClick is simple program (the my first one on linux...)
  that download camera photo from supervozelj node using
  ax25 stream and convert it to jpeg format.

  Part of the code was from:

  svphoto - Read SuperVozelj photo, and write it in a readable
    jpeg or png format
    Copyright (C) 2001  Paolo Subiaco
    
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifdef HAVE_NETAX25_AX25_H
#include <netax25/ax25.h>
#else
#include <netax25/kernel_ax25.h>
#endif
#ifdef HAVE_NETROM_NETROM_H
#include <netrom/netrom.h>
#else
#include <netax25/kernel_netrom.h>
#endif
#ifdef HAVE_NETROSE_ROSE_H
#include <netrose/rose.h>
#else
#include <netax25/kernel_rose.h>
#endif
#include <sys/socket.h>

#include <netax25/axlib.h>
#include <netax25/axconfig.h>
#include <netax25/nrconfig.h>
#include <netax25/rsconfig.h>

#include  <stdio.h>
#include  <stdlib.h>
#include  <jpeglib.h>
#include  <jerror.h>

#define MAXREAD	2048        /* Max RX by_Buffer */

#define XOFFSET 120
#define YOFFSET 40
#define XLEN	512
#define YLEN	256

#define XMAX XLEN             // Max number of pixels for each row
#define YMAX ((YLEN*3)/2)     // Max number of rows (non/interlaced)

#define	MAX_PACKETLEN 512
#define	MAX_BUFLEN    2*MAX_PACKETLEN

#define WAIT_TIMEOUT 30


typedef unsigned char   byte;
typedef unsigned short  word;
typedef unsigned long   dword;

//  In AX25Helper

int AX25CheckConfig(char* csz_Port);
int AX25SetParameters(int i_AX25Connection);
int AX25ConnectTo(char* csz_Port, const  char *csz_Address);
int AX25WaitString(int i_AX25Connection, const char* psz_SearchString, char* psz_Line, int i_Timeout);

//  In imageProcessing

void Deinterlace (byte p_imagemap[][XMAX], int xlen, int index);
int  ConvertToJPEG(byte p_imagemap[][XMAX], int i_NumberOfRows, int i_NumberOfLines, char* psz_OutFile, int i_Quality);

extern  int ax25mode;
extern  int backoff;
extern  int paclen;
extern  int window;

extern  struct  jpeg_compress_struct  cinfo;
extern  struct  jpeg_error_mgr  jerr;


#endif
